> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# List tests

GET https://tester.army/api/v1/tests

List tests for a project, optionally scoped to a test group. Use `cursor` for pagination; the response includes `nextCursor` when more pages exist.

Reference: https://docs.tester.army/api-reference/tester-army-api/tests/list-tests

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/tests:
    get:
      operationId: list-tests
      summary: List tests
      description: >-
        List tests for a project, optionally scoped to a test group. Use
        `cursor` for pagination; the response includes `nextCursor` when more
        pages exist.
      tags:
        - tests
      parameters:
        - name: projectId
          in: query
          description: Project ID
          required: true
          schema:
            type: string
        - name: groupId
          in: query
          description: Optional test group ID
          required: false
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          description: Max results per page (default 50, max 100)
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor for pagination
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of tests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Tests_listTests_Response_200'
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestsRequestBadRequestError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestsRequestUnauthorizedError'
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestsRequestTooManyRequestsError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestsRequestInternalServerError'
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTestsRequestGatewayTimeoutError'
servers:
  - url: https://tester.army/api
    description: Production API server
components:
  schemas:
    TestDefinitionPlatform:
      type: string
      enum:
        - web
        - mobile
      title: TestDefinitionPlatform
    TestStepOneOf0Type:
      type: string
      enum:
        - act
      title: TestStepOneOf0Type
    TestStep0:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf0Type'
      required:
        - title
        - type
      title: TestStep0
    TestStepOneOf1Type:
      type: string
      enum:
        - assert
      title: TestStepOneOf1Type
    TestStep1:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf1Type'
      required:
        - title
        - type
      title: TestStep1
    TestStepOneOf2Type:
      type: string
      enum:
        - login
      title: TestStepOneOf2Type
    TestStep2:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf2Type'
        credentialId:
          type: string
          format: uuid
        temporaryEmail:
          type: boolean
      required:
        - title
        - type
      title: TestStep2
    TestStepOneOf3Type:
      type: string
      enum:
        - files
      title: TestStepOneOf3Type
    TestStep3:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf3Type'
        fileIds:
          type: array
          items:
            type: string
            format: uuid
      required:
        - title
        - type
        - fileIds
      title: TestStep3
    TestStepOneOf4Type:
      type: string
      enum:
        - screenshot
      title: TestStepOneOf4Type
    TestStep4:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf4Type'
      required:
        - type
      title: TestStep4
    TestStepOneOf5Type:
      type: string
      enum:
        - javascript
      title: TestStepOneOf5Type
    TestStep5:
      type: object
      properties:
        title:
          type: string
        type:
          $ref: '#/components/schemas/TestStepOneOf5Type'
        code:
          type: string
          description: >-
            JavaScript run in the browser page. Runs as an awaited function
            body; passes if it completes without throwing (returns nothing or {
            success: true }) and fails if it returns { success: false, reason }
            or throws. Web tests only.
      required:
        - type
        - code
      title: TestStep5
    TestStep:
      oneOf:
        - $ref: '#/components/schemas/TestStep0'
        - $ref: '#/components/schemas/TestStep1'
        - $ref: '#/components/schemas/TestStep2'
        - $ref: '#/components/schemas/TestStep3'
        - $ref: '#/components/schemas/TestStep4'
        - $ref: '#/components/schemas/TestStep5'
      title: TestStep
    TestDefinition:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        platform:
          $ref: '#/components/schemas/TestDefinitionPlatform'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/TestStep'
        projectId:
          type: string
          format: uuid
        projectUrl:
          type:
            - string
            - 'null'
          format: uri
        projectName:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - title
        - steps
      title: TestDefinition
    Tests_listTests_Response_200:
      type: object
      properties:
        projectUrl:
          type:
            - string
            - 'null'
          format: uri
        projectName:
          type: string
        tests:
          type: array
          items:
            $ref: '#/components/schemas/TestDefinition'
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - projectUrl
        - projectName
        - tests
        - nextCursor
      title: Tests_listTests_Response_200
    ListTestsRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestsRequestBadRequestError
    ListTestsRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestsRequestUnauthorizedError
    ListTestsRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestsRequestTooManyRequestsError
    ListTestsRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestsRequestInternalServerError
    ListTestsRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ListTestsRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## Examples



**Response**

```json
{
  "projectUrl": "string",
  "projectName": "string",
  "tests": [
    {
      "id": "string",
      "title": "string",
      "steps": [
        {
          "title": "string",
          "type": "act"
        }
      ],
      "description": "string",
      "enabled": true,
      "platform": "web",
      "projectId": "string",
      "projectUrl": "string",
      "projectName": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "nextCursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://tester.army/api/v1/tests"

querystring = {"projectId":"projectId"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://tester.army/api/v1/tests?projectId=projectId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/api/v1/tests?projectId=projectId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/api/v1/tests?projectId=projectId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://tester.army/api/v1/tests?projectId=projectId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://tester.army/api/v1/tests?projectId=projectId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/api/v1/tests?projectId=projectId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/api/v1/tests?projectId=projectId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```